package com.ruoyi.screen.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.screen.domain.response.ZongzhiActionResponse;
import com.ruoyi.screen.domain.response.ZongzhiNetworkReportResponse;
import com.ruoyi.screen.domain.response.ZongzhiWorkDynamicsResponse;
import com.ruoyi.screen.service.ZongzhiScreenManageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 太仓综治网络管理大屏接口
 */
@RestController
@RequestMapping("/zongzhi/managescreen")
@Api(tags = " 太仓综治网络管理大屏接口")
public class ZongzhiScreenManageController {

    @Resource

    private ZongzhiScreenManageService zongzhiScreenManageService;


    /**
     * 工作
     */
    @ApiOperation(value = "工作动态", response = ZongzhiWorkDynamicsResponse.class)
    @GetMapping("/workdynamics")
    private AjaxResult getWorkDynamics() {

        return AjaxResult.success(zongzhiScreenManageService.getWorkDynamics());
    }



    /**
     * 举报总数 处置率
     */
    @ApiOperation(value = "举报总数和处置率", response = ZongzhiNetworkReportResponse.class)
    @GetMapping("/networkreport")
    private AjaxResult getNetworkReport() {

        return AjaxResult.success(zongzhiScreenManageService.getNetworkReport());
    }


    /**
     * 请朗专项行动数据统计
     */
    @ApiOperation(value = "请朗专项行动数据统计", response = ZongzhiActionResponse.class)
    @GetMapping("/action")
    private AjaxResult getaction() {

        return AjaxResult.success(zongzhiScreenManageService.getaction());
    }

}
