package com.ruoyi.screen.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 安全检测数据列表响应类
 */
@Data
@ApiModel("大屏数据安全监测响应类")
public class ZongzhiSafetyListResponse {

    /**
     * 攻击源ip
     */
    @ApiModelProperty(value = "攻击源ip")
    private String source_ip;

    /**
     * 攻击类型 1.入侵攻击 2.恶意扫描 3僵木蠕病毒 4．挖矿 5．网络爬虫
     */
    @ApiModelProperty(value = "攻击类型 1.入侵攻击 2.恶意扫描 3僵木蠕病毒 4．挖矿 5．网络爬虫")
    private int attackType;


    /**
     * 攻击时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd ")
    @ApiModelProperty(value = "攻击时间")
    private LocalDateTime attackTime;
}
