package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据来源对象 tc_data_source
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcDataSource extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 1.	云断监管
     * 2.	APT（M）
     * 3.	硬探针
     * 4.	软探针
     * 5.	系统检测
     */
    @ApiModelProperty(value = "类型 1.云断监管  2：APT（M） 3.硬探针 4.软探针 5.监管单位 6.网站监测 7.系统监测")
    @Excel(name = "类型")
    private Long type;

    /**
     * 资产名称
     */
    @Excel(name = "资产名称")
    @ApiModelProperty(value = "资产名称")
    private String assetName;

    /**
     * 所属单位
     */
    @Excel(name = "所属单位")
    @ApiModelProperty(value = "所属单位")
    private String affUnit;

    /**
     * 所属分组
     */
    @Excel(name = "所属分组")
    @ApiModelProperty(value = "所属分组")
    private String affGroups;

    /**
     * 网站/系统名称
     */
    @Excel(name = "网站/系统名称")
    @ApiModelProperty(value = "网站/系统名称")
    private String systeamName;

    /**
     * 网站地址
     */
    @Excel(name = "网站地址")
    @ApiModelProperty(value = "网站地址")
    private String url;

    /**
     * IP地址
     */
    @Excel(name = "IP地址")
    @ApiModelProperty(value = "IP地址")
    private String ipAddress;

    /**
     * 操作系统1:Linux,2:windows
     */
    @Excel(name = "操作系统1:Linux,2:windows")
    @ApiModelProperty(value = "操作系统1:Linux,2:windows")
    private Long os;

    /**
     * 版本
     */
    @Excel(name = "版本")
    @ApiModelProperty(value = "版本")
    private String versions;

    /**
     * 1.是
     * 2.否
     */
    @Excel(name = "是否关注重点")
    @ApiModelProperty(value = "是否关注重点1.是 2.否 ")
    private Long isFocus;

    /**
     * 1.一级
     * 2.二级
     * 3.三级
     */
    @Excel(name = "级别")
    @ApiModelProperty(value = "级别1.一级 2.二级 3.三级 ")
    private Long level;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "创建者id")
    @Excel(name = "创建者id")
    private Long createId;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "修改者")
    @Excel(name = "修改者")
    private Long updateId;

}
