package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 等保系统对象 tc_dengbao_system
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcDengbaoSystem extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 系统名称
     */
    @Excel(name = "系统名称")
    @ApiModelProperty(value = "系统名称")
    private String steamName;

    /**
     * 备案编号
     */
    @Excel(name = "备案编号")
    @ApiModelProperty(value = "备案编号")
    private String beianNum;

    /**
     * 信息系统安全保护等级
     */
    @Excel(name = "信息系统安全保护等级")
    @ApiModelProperty(value = "信息系统安全保护等级")
    private String safetyLevel;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    @ApiModelProperty(value = "单位名称")
    private String unitName;

    /**
     * 业务类型
     */
    @Excel(name = "业务类型")
    @ApiModelProperty(value = "业务类型")
    private String yewuType;

    /**
     * 服务范围
     */
    @Excel(name = "服务范围")
    @ApiModelProperty(value = "服务范围")
    private String servicesArea;

    /**
     * 服务对象
     */
    @Excel(name = "服务对象")
    @ApiModelProperty(value = "服务对象")
    private String servicesObj;

    /**
     * 覆盖范围
     */
    @Excel(name = "覆盖范围")
    @ApiModelProperty(value = "覆盖范围")
    private String coverageArea;

    /**
     * 网络性质
     */
    @Excel(name = "网络性质")
    @ApiModelProperty(value = "网络性质")
    private String networkNature;

    /**
     * 系统互联情况
     */
    @Excel(name = "系统互联情况")
    @ApiModelProperty(value = "系统互联情况")
    private String systemSitutation;

    /**
     * 投入运行使用日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投入运行使用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date useTime;

    /**
     * 系统是否分级
     */
    @Excel(name = "系统是否分级")
    @ApiModelProperty(value = "系统是否分级")
    private String isRate;

    /**
     * 系统定级时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "系统定级时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date rankTime;

    /**
     * 专家评审情况
     */
    @Excel(name = "专家评审情况")
    @ApiModelProperty(value = "专家评审情况")
    private String reviewCase;

    /**
     * 是否有主管部门
     */
    @Excel(name = "是否有主管部门")
    @ApiModelProperty(value = "是否有主管部门")
    private String isParent;

    /**
     * 系统定级报告
     */
    @Excel(name = "系统定级报告")
    @ApiModelProperty(value = "系统定级报告")
    private String rankReport;

    /**
     * 系统状态
     * 1:已备案、2:已发证
     */
    @Excel(name = "系统状态 ")
    @ApiModelProperty(value = "系统状态 ")
    private Long systemState;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;


}
