package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 等保单位对象 tc_dengbao_unit
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcDengbaoUnit extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    @ApiModelProperty(value = "单位名称")
    private String unitName;

    /**
     * 邮政编码
     */
    @Excel(name = "邮政编码")
    @ApiModelProperty(value = "邮政编码")
    private String postCode;

    /**
     * 单位地址（省）
     */
    @ApiModelProperty(value = "单位地址")
    @Excel(name = "单位地址", readConverterExp = "省=")
    private String unitProvince;

    /**
     * 单位地址（市）
     */
    @ApiModelProperty(value = "单位地址")
    @Excel(name = "单位地址", readConverterExp = "市=")
    private String unitCity;

    /**
     * 单位地址（区/县）
     */
    @ApiModelProperty(value = "单位地址")
    @Excel(name = "单位地址", readConverterExp = "区=/县")
    private String unitCounty;

    /**
     * 单位地址（街道）
     */
    @ApiModelProperty(value = "单位地址")
    @Excel(name = "单位地址", readConverterExp = "街=道")
    private String unitStreet;

    /**
     * 行政区域代码
     */
    @Excel(name = "行政区域代码")
    @ApiModelProperty(value = "行政区域代码")
    private String areaCode;

    /**
     * 隶属关系
     */
    @Excel(name = "隶属关系")
    @ApiModelProperty(value = "隶属关系")
    private String affiliation;

    /**
     * 单位类型
     */
    @Excel(name = "单位类型")
    @ApiModelProperty(value = "单位类型")
    private String unitType;

    /**
     * 行业类型
     */
    @Excel(name = "行业类型")
    @ApiModelProperty(value = "行业类型")
    private String tmtType;

    /**
     * 单位责任人—姓名
     */
    @Excel(name = "单位责任人—姓名")
    @ApiModelProperty(value = "单位责任人—姓名")
    private String fuzeName;

    /**
     * 单位责任人—职务
     */
    @Excel(name = "单位责任人—职务")
    @ApiModelProperty(value = "单位责任人—职务")
    private String fuzeDuty;

    /**
     * 单位责任人—办公电话
     */
    @Excel(name = "单位责任人—办公电话")
    @ApiModelProperty(value = "单位责任人—办公电话")
    private String fuzeTel;

    /**
     * 单位责任人—电子邮件
     */
    @Excel(name = "单位责任人—电子邮件")
    @ApiModelProperty(value = "单位责任人—电子邮件")
    private String fuzeEmail;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
