package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.models.auth.In;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络文章对象 tc_network_article
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkArticle extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 文章类型1.	本地录用
     * 2.	苏州级录用
     * 3.	省级级以上录用
     * 4.	上级媒体
     * 5.	本地发布
     */
    @Excel(name = "文章类型")
    @ApiModelProperty(value = "文章类型 1.本地录用,2.苏州级录用,3.省级级以上录用,4,上级媒体,5本地发布")
    private Long type;

    /**
     * 文章标题
     */
    @Excel(name = "文章标题")
    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date releaseTime;

    /**
     * 来源
     */
    @Excel(name = "来源")
    @ApiModelProperty(value = "来源")
    private String source;

    /**
     * 文章地址
     */
    @Excel(name = "文章地址")
    @ApiModelProperty(value = "文章地址")
    private String url;

    /**
     * 文章评价状态
     */
    @Excel(name = "文章评价状态")
    @ApiModelProperty(value = "文章评价状态")
    private Integer status;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;



}
