package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网评对象 tc_network_evaluate
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkEvaluate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 文章ID
     */
    @Excel(name = "文章ID")
    @ApiModelProperty(value = "文章ID")
    private Long articleId;

    /**
     * 文章类型
     */
    @Excel(name = "文章类型")
    @ApiModelProperty(value = "文章类型")
    private Long articleType;

    /**
     * 评价人ID
     */
    @Excel(name = "评价人ID")
    @ApiModelProperty(value = "评价人ID")
    private Long appraiserId;

    /**
     * 评价人名字
     */
    @Excel(name = "评价人名字")
    @ApiModelProperty(value = "评价人名字")
    private String appraiserName;

    /**
     * 文章标题
     */
    @Excel(name = "文章标题")
    @ApiModelProperty(value = "文章标题")
    private String articleTitle;

    /**
     * 文章内容
     */
    @Excel(name = "文章内容")
    @ApiModelProperty(value = "文章内容")
    private String articleContent;

    /**
     * 来源
     */
    @Excel(name = "来源")
    @ApiModelProperty(value = "来源")
    private String articleSource;

    /**
     * 文章地址
     */
    @Excel(name = "文章地址")
    @ApiModelProperty(value = "文章地址")
    private String articleUrl;

    /**
     * 评价内容
     */
    @Excel(name = "评价内容")
    @ApiModelProperty(value = "评价内容")
    private String pjContent;

    /**
     * 评价时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评价时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pjTime;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
