package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络平台对象 tc_network_pingtai
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkPingtai extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 平台类别1.	网址
     * 2.	抖音
     * 3.	微信
     * 4.	微博
     * 5.	今日头条
     * 6.	快手
     * 7.	B站
     * 8.	小红书
     */
    @Excel(name = "平台类别")
    @ApiModelProperty(value = "平台类别1.网址 2.抖音 3.微信 4.微博 5.今日头条 6.快手 7.B站 8.小红书")
    private Long type;

    /**
     * 账号名称
     */
    @Excel(name = "账号名称")
    @ApiModelProperty(value = "账号名称")
    private String name;

    /**
     * 属性1.	房产
     * 2.	汽车
     * 3.	自媒体
     * 4.	餐饮
     * 5.	电子竞技
     * 6.	财务
     */
    @Excel(name = "属性")
    @ApiModelProperty(value = "属性 1.房产,2.汽车,3.自媒体,4.餐饮,5.电子竞技,6.财务")
    private Long props;

    /**
     * 粉丝数
     */
    @Excel(name = "粉丝数")
    @ApiModelProperty(value = "粉丝数")
    private Long fansNum;

    /**
     * 网站域名（1）
     */
    @ApiModelProperty(value = "网站域名")
    @Excel(name = "网站域名")
    private String dns;

    /**
     * 真实IP（1）
     */
    @ApiModelProperty(value = "真实IP")
    @Excel(name = "真实IP")
    private String ipAddress;

    /**
     * 备案许可证号（1）
     */
    @ApiModelProperty(value = "备案许可证号")
    @Excel(name = "备案许可证号")
    private String licenceNum;

    /**
     * 认证（4）
     */
    @ApiModelProperty(value = "认证")
    @Excel(name = "认证")
    private String authentication;

    /**
     * 地区（4）
     */
    @ApiModelProperty(value = "地区")
    @Excel(name = "地区")
    private String area;

    /**
     * 简介
     */
    @Excel(name = "简介")
    @ApiModelProperty(value = "简介")
    private String intro;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
