package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络举报对象 tc_network_report
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 举报人
     */
    @Excel(name = "举报人")
    @ApiModelProperty(value = "举报人")
    private String jbMan;

    /**
     * 被举报对象
     */
    @Excel(name = "被举报对象")
    @ApiModelProperty(value = "被举报对象")
    private String jbdx;

    /**
     * 苏州编号
     */
    @Excel(name = "苏州编号")
    @ApiModelProperty(value = "苏州编号")
    private String jbbh;

    /**
     * 举报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "举报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date jbTime;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @ApiModelProperty(value = "纬度")
    private String latitude;

    /**
     * 地址
     */
    @Excel(name = "地址")
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 举报内容
     */
    @Excel(name = "举报内容")
    @ApiModelProperty(value = "举报内容")
    private String content;

    /**
     * 状态1.	待处理
     * 2.	已处理
     */
    @Excel(name = "状态")
    @ApiModelProperty(value = "状态")
    private Long state;

    /**
     * 来源1.上级下发 2.部门转发 3.小程序 4无效
     */
    @Excel(name = "来源1.上级下发 2.部门转发 3.小程序 4无效")
    @ApiModelProperty(value = "来源1.上级下发 2.部门转发 3.小程序 4无效")
    private Long source;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
