package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络舆情对象 tc_network_sentiment
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcNetworkSentiment extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 舆情名称
     */
    @Excel(name = "舆情名称")
    @ApiModelProperty(value = "舆情名称")
    private String sentimentName;

    /**
     * 舆情内容
     */
    @Excel(name = "舆情内容")
    @ApiModelProperty(value = "舆情内容")
    private String sentimentContent;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    @ApiModelProperty(value = "部门名称")
    private String depName;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date publishTime;

    /**
     * 舆情状态1.	待处理 2处理中 3已处理
     */
    @Excel(name = "舆情状态1.	待处理 2处理中 3已处理")
    @ApiModelProperty(value = "舆情状态1.	待处理 2处理中 3已处理")
    private Long sentimentState;

    /**
     * 媒体类型1.	报刊 2.网媒 3.微信 4.博
     * 4.	APP 6.论坛 7.短视频 8.其他
     */
    @Excel(name = "媒体类型")
    @ApiModelProperty(value = "媒体类型")
    private Long mediaType;

    /**
     * 涉事类型1.	治安维护 2.医疗卫生 3.执政形象 4.市场监督 5.自然灾害 6.安全事故 7.社会保证 8.市政管理
     */
    @Excel(name = "涉事类型1.	治安维护 2.医疗卫生 3.执政形象 4.市场监督 5.自然灾害 6.安全事故 7.社会保证 8.市政管理")
    @ApiModelProperty(value = "涉事类型1.	治安维护 2.医疗卫生 3.执政形象 4.市场监督 5.自然灾害 6.安全事故 7.社会保证 8.市政管理")
    private Long eventType;

    /**
     * 舆情类型1.敏感 2.非敏感 3.本地相关信息
     * 4.推送预警信息 5.聚焦本地媒体信息
     */
    @Excel(name = "舆情类型")
    @ApiModelProperty(value = "舆情类型1.敏感 2.非敏感 3.本地相关信息 4.推送预警信息 5.聚焦本地媒体信息 ")
    private Long sentimentType;

    /**
     * 词云类别1.开门红 2.城乡文明融合……….
     */
    @Excel(name = "词云类别1.开门红 2.城乡文明融合……….")
    @ApiModelProperty(value = "词云类别1.开门红 2.城乡文明融合……….")
    private Long yuciType;

    /**
     * 来源1.微博 2.抖音 ….
     */
    @Excel(name = "来源1.微博 2.抖音 ….")
    @ApiModelProperty(value = "来源1.微博 2.抖音 ….")
    private Long source;

    /**
     * 是否转办1是 2否
     */
    @Excel(name = "是否转办1是 2否")
    @ApiModelProperty(value = "是否转办1是 2否")
    private Long isturn;

    /**
     * 文件名称
     */
    @Excel(name = "文件名称")
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    /**
     * 文件地址
     */
    @Excel(name = "文件地址")
    @ApiModelProperty(value = "文件地址")
    private String fileUrl;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
