package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 *安全隐患 tc_safety_danger
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcSafetyDanger extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 隐患类型1.	敏感信息泄露漏洞
     * 2.	权限许可和访问控制
     * 3.	未加密登录请求
     * 4.	应用程序测试脚本漏洞
     * 5.	文件上传漏洞
     * 6.	其他
     */
    @Excel(name = "隐患类型1.	敏感信息泄露漏洞 ")
    @ApiModelProperty(value = "隐患类型1.	敏感信息泄露漏洞 2.权限许可和访问控制 3.未加密登录请求 4.	应用程序测试脚本漏洞 5.	文件上传漏洞 6.其他 ")
    private Long type;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    @ApiModelProperty(value = "单位名称")
    private String unitName;

    /**
     * 隐患名称
     */
    @Excel(name = "隐患名称")
    @ApiModelProperty(value = "隐患名称")
    private String riskName;

    /**
     * 等级1.	低级
     * 2.	中级
     * 3.	高级
     */
    @Excel(name = "等级")
    @ApiModelProperty(value = "等级1.低级 2.中级 3.高级")
    private Long level;

    /**
     * 隐患来源1.	众测
     * 2.	态势感知平台
     * 3.	网信办
     */
    @Excel(name = "隐患来源")
    @ApiModelProperty(value = "隐患来源1.	众测 2.态势感知平台 3.网信办 ")
    private Long riskSource;

    /**
     * 目标IP/域名
     */
    @Excel(name = "目标IP/域名")
    @ApiModelProperty(value = "目标IP/域名")
    private String ipDns;

    /**
     * 处置情况1.已归档，2.未归档
     */
    @Excel(name = "处置情况1.已归档，2.未归档")
    @ApiModelProperty(value = "处置情况1.已归档，2.未归档")
    private Long state;

    /**
     * 文件名称
     */
    @Excel(name = "文件名称")
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    /**
     * 文件地址
     */
    @Excel(name = "文件地址")
    @ApiModelProperty(value = "文件地址")
    private String fileUrl;

    /**
     * 部门
     */
    @Excel(name = "部门")
    @ApiModelProperty(value = "部门")
    private String depName;

    /**
     * 隐患开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "隐患开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 隐患结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "隐患结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    @ApiModelProperty(value = "修改人ID")
    private Long updateId;

}
