package com.ruoyi.zongzhi.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 安全检测对象 tc_safety_detection
 *
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcSafetyDetection extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */

    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 攻击发起时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "攻击发起时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "攻击发起时间")
    private Date attackTime;

    /**
     * 攻击源ID
     */
    @Excel(name = "攻击源ID")
    @ApiModelProperty(value = "攻击源ID")
    private String sourceIp;

    /**
     * 攻击源经度
     */
    @Excel(name = "攻击源经度")
    @ApiModelProperty(value = "攻击源经度")
    private String attackedLongitude;

    /**
     * 攻击源纬度
     */
    @Excel(name = "攻击源纬度")
    @ApiModelProperty(value = "攻击源纬度")
    private String attackedLatitude;

    /**
     * 攻击类型
     * 1.入侵攻击
     * 2.恶意扫描
     * 3僵木蠕病毒
     * 4．挖矿
     * 5．网络爬虫
     */
    @Excel(name = "攻击类型")
    @ApiModelProperty(value = "攻击类型")
    private Long attackType;

    /**
     * 攻击源IP地址区域
     */
    @Excel(name = "攻击源IP地址区域")
    @ApiModelProperty(value = "攻击源IP地址区域")
    private String attackIpRegion;

    /**
     * 受攻击IP
     */
    @Excel(name = "受攻击IP")
    @ApiModelProperty(value = "受攻击IP")
    private String attackedIp;

    /**
     * 受攻击IP区域
     */
    @Excel(name = "受攻击IP区域")
    @ApiModelProperty(value = "受攻击IP区域")
    private String attackedIpRegion;

    /**
     * 受攻击经度
     */
    @Excel(name = "受攻击经度")
    @ApiModelProperty(value = "受攻击经度")
    private String attackLongitude;

    /**
     * 受攻击纬度
     */
    @Excel(name = "受攻击纬度")
    @ApiModelProperty(value = "受攻击纬度")
    private String attackLatitude;

    /**
     * 网络安全等级
     * 1.	一级
     * 2.	二级
     * 3.	三级
     */
    @Excel(name = "网络安全等级")
    @ApiModelProperty(value = "网络安全等级")
    private Long level;

    /**
     * 所属单位
     */
    @ApiModelProperty(value = "所属单位")
    @Excel(name = "所属单位")
    private String affUnit;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    @Excel(name = "联系电话")
    private String phoneNum;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    @ApiModelProperty(value = "联系人")
    private String linkMan;

    /**
     * 创建人ID
     */
    @Excel(name = "创建人ID")
    private Long createId;

    /**
     * 修改人ID
     */
    @Excel(name = "修改人ID")
    private Long updateId;

}
