package com.ruoyi.zongzhi.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通报对象 tc_tb
 * 
 * @author ruoyi
 * @date 2023-08-16
 */
public class TcTb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
@ApiModelProperty(value = "区域id")
    private Long areaId;

    /** 部门名称 */
    @Excel(name = "部门名称")
@ApiModelProperty(value = "部门名称")
    private String depName;

    /** 属地名称 */
    @Excel(name = "属地名称")
@ApiModelProperty(value = "属地名称")
    private String locationName;

    /** 通报类型:1.属地通报 2.部门通报 */
    @Excel(name = "通报类型:1.属地通报 2.部门通报")
@ApiModelProperty(value = "通报类型:1.属地通报 2.部门通报")
    private Long tbType;

    /** 通报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "通报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tbTime;

    /** 创建人ID */
    @Excel(name = "创建人ID")
@ApiModelProperty(value = "创建人ID")
    private Long createId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
@ApiModelProperty(value = "修改人ID")
    private Long updateId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setDepName(String depName) 
    {
        this.depName = depName;
    }

    public String getDepName() 
    {
        return depName;
    }
    public void setLocationName(String locationName) 
    {
        this.locationName = locationName;
    }

    public String getLocationName() 
    {
        return locationName;
    }
    public void setTbType(Long tbType) 
    {
        this.tbType = tbType;
    }

    public Long getTbType() 
    {
        return tbType;
    }
    public void setTbTime(Date tbTime) 
    {
        this.tbTime = tbTime;
    }

    public Date getTbTime() 
    {
        return tbTime;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }
    public void setUpdateId(Long updateId) 
    {
        this.updateId = updateId;
    }

    public Long getUpdateId() 
    {
        return updateId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("depName", getDepName())
            .append("locationName", getLocationName())
            .append("tbType", getTbType())
            .append("tbTime", getTbTime())
            .append("createId", getCreateId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateId", getUpdateId())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
