package com.ruoyi.zongzhi.domain;

import com.ruoyi.common.core.domain.entity.SysDept;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 区域对象 tc_town
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Data
public class TcTown extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域名称 */
    @Excel(name = "区域名称")
    @ApiModelProperty(value = "区域名称")
    private String name;

    /** 上级区域名称 */
    @Excel(name = "上级区域名称")
    @ApiModelProperty(value = "上级区域名称")
    private String parentName;

    /** 上级区域id */
    @Excel(name = "上级区域id")
    @ApiModelProperty(value = "上级区域id")
    private Long parentId;

    /** 层级1：市，2：镇，3：村 */
    @Excel(name = "层级")
    @ApiModelProperty(value = "层级")
    private Long level;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long createId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateId;


    /** 子节点 */
    private List<TcTown> children = new ArrayList<TcTown>();

}
