package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcNetworkVolunteer;

/**
 * 网络文明自愿者Service接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface ITcNetworkVolunteerService 
{
    /**
     * 查询网络文明自愿者
     * 
     * @param id 网络文明自愿者主键
     * @return 网络文明自愿者
     */
    public TcNetworkVolunteer selectTcNetworkVolunteerById(Long id);

    /**
     * 查询网络文明自愿者列表
     * 
     * @param tcNetworkVolunteer 网络文明自愿者
     * @return 网络文明自愿者集合
     */
    public List<TcNetworkVolunteer> selectTcNetworkVolunteerList(TcNetworkVolunteer tcNetworkVolunteer);

    /**
     * 新增网络文明自愿者
     * 
     * @param tcNetworkVolunteer 网络文明自愿者
     * @return 结果
     */
    public int insertTcNetworkVolunteer(TcNetworkVolunteer tcNetworkVolunteer);

    /**
     * 修改网络文明自愿者
     * 
     * @param tcNetworkVolunteer 网络文明自愿者
     * @return 结果
     */
    public int updateTcNetworkVolunteer(TcNetworkVolunteer tcNetworkVolunteer);

    /**
     * 批量删除网络文明自愿者
     * 
     * @param ids 需要删除的网络文明自愿者主键集合
     * @return 结果
     */
    public int deleteTcNetworkVolunteerByIds(Long[] ids);

    /**
     * 删除网络文明自愿者信息
     * 
     * @param id 网络文明自愿者主键
     * @return 结果
     */
    public int deleteTcNetworkVolunteerById(Long id);
}
