package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcSafetyDetection;

/**
 * 安全检测Service接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface ITcSafetyDetectionService 
{
    /**
     * 查询安全检测
     * 
     * @param id 安全检测主键
     * @return 安全检测
     */
    public TcSafetyDetection selectTcSafetyDetectionById(Long id);

    /**
     * 查询安全检测列表
     * 
     * @param tcSafetyDetection 安全检测
     * @return 安全检测集合
     */
    public List<TcSafetyDetection> selectTcSafetyDetectionList(TcSafetyDetection tcSafetyDetection);

    /**
     * 新增安全检测
     * 
     * @param tcSafetyDetection 安全检测
     * @return 结果
     */
    public int insertTcSafetyDetection(TcSafetyDetection tcSafetyDetection);

    /**
     * 修改安全检测
     * 
     * @param tcSafetyDetection 安全检测
     * @return 结果
     */
    public int updateTcSafetyDetection(TcSafetyDetection tcSafetyDetection);

    /**
     * 批量删除安全检测
     * 
     * @param ids 需要删除的安全检测主键集合
     * @return 结果
     */
    public int deleteTcSafetyDetectionByIds(Long[] ids);

    /**
     * 删除安全检测信息
     * 
     * @param id 安全检测主键
     * @return 结果
     */
    public int deleteTcSafetyDetectionById(Long id);
}
