package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcZhongdianEnterprise;

/**
 * 重点企业名录Service接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface ITcZhongdianEnterpriseService 
{
    /**
     * 查询重点企业名录
     * 
     * @param id 重点企业名录主键
     * @return 重点企业名录
     */
    public TcZhongdianEnterprise selectTcZhongdianEnterpriseById(Long id);

    /**
     * 查询重点企业名录列表
     * 
     * @param tcZhongdianEnterprise 重点企业名录
     * @return 重点企业名录集合
     */
    public List<TcZhongdianEnterprise> selectTcZhongdianEnterpriseList(TcZhongdianEnterprise tcZhongdianEnterprise);

    /**
     * 新增重点企业名录
     * 
     * @param tcZhongdianEnterprise 重点企业名录
     * @return 结果
     */
    public int insertTcZhongdianEnterprise(TcZhongdianEnterprise tcZhongdianEnterprise);

    /**
     * 修改重点企业名录
     * 
     * @param tcZhongdianEnterprise 重点企业名录
     * @return 结果
     */
    public int updateTcZhongdianEnterprise(TcZhongdianEnterprise tcZhongdianEnterprise);

    /**
     * 批量删除重点企业名录
     * 
     * @param ids 需要删除的重点企业名录主键集合
     * @return 结果
     */
    public int deleteTcZhongdianEnterpriseByIds(Long[] ids);

    /**
     * 删除重点企业名录信息
     * 
     * @param id 重点企业名录主键
     * @return 结果
     */
    public int deleteTcZhongdianEnterpriseById(Long id);
}
